[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# TBase64DecodingStream.Seek

Set stream position.

## Declaration

Source position: base64.pp line 80

`public function TBase64DecodingStream.Seek(`
`Offset: LongInt;`
`Origin: Word`
`):LongInt; override;`

## Arguments

`Offset` |  | Offset, relative to origin.
`Origin` |  | Origin of the seek operation.

## Function result

New absolute position in the stream.

## Description

Seek sets the position of the stream. In the TBase64DecodingStream class, the seek operation is forward only, it does not support backward seeks. The forward seek is emulated by reading and discarding data till the desired position is reached.

For an explanation of the parameters, see TStream.Seek

## Errors

In case of an unsupported operation, an EStreamError exception is raised.

## See also

TBase64DecodingStream.Read |  | Read and decrypt data from the source stream
TBase64DecodingStream.Write |  | Write data to the stream
TBase64EncodingStream.Seek |  | Position the stream
TStream.Seek

Documentation generated on: Feb 26 2014